Cyberpunk 2077 hotfix 1.12 should reduce the risk of real-life malware attacks

CD Projekt Red launched yet another hotfix for Cyberpunk 2077 on Friday early morning — albeit an extremely small one.

Hotfix 1.12 is just readily available for PC gamers and resolves 2 significant problems: “fixed a buffer overrun issue” and “removed/replaced non-ASLR DLLs.” As far as spot notes go, that’s not extremely transparent or practical to the typical customer. So here’s what this spot in fact does.

The buffer overrun issue should stop Cyberpunk 2077 from having severe memory leak issues, which can cause the game to use more resources than it should while running on your PC. It’s unclear how, or if, most consumers will notice any improvements to the general gameplay experience, but it certainly can’t hurt.

The non-ASLR DLLs are a little more complex. CD Projekt Red added official mod support to Cyberpunk 2077 at the end of January. But only a few days later, the studio tweeted about potential security vulnerabilities that could be introduced alongside mods. That means players could potentially download mods or external saves that could give their real-life PC a real-life virus. The removal of the non-ASLR DLLs should better protect players who want to enhance their Cyberpunk 2077 experience with help from the community while not putting their device — and their personal information — at risk.

Hotfix 1.12 comes as part of CD Projekt Red’s roadmap to improve the game ahead of free DLCs. But this is not the first time in the past month that CD Projekt Red has had to target a hotfix at problems introduced by a previous spot. Patch 1.1 offered a lot of good changes, but also introduced another game-breaking bug for players. CD Projekt Red quickly followed up with hotfix.

Players must see another large patch, Patch 1.2, later this month.

Jobber Wiki author Frank Long included to this report.